<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/formulario_contacto.php';
require '../usuario/decodeUsuario.php';
require '../../modelo/history.php';
require '../../modelo/global.php';
$response = array();

if (
    !isset($_POST['nombre']) ||
    !isset($_POST['correo']) ||
    !isset($_POST['mensaje'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = (!isset($_POST['id_usuario'])) ? NULL : DecodeUser::handlePostUsuario($_POST['id_usuario']);

$id_producto = (!isset($_POST['id_producto'])) ? NULL : $_POST['id_producto'];

$nombre = $_POST['nombre'];
$correo = $_POST['correo'];
$mensaje = $_POST['mensaje'];

$formulario_contacto = FormularioContacto::mdlAddFormularioContacto($id_usuario, $id_producto, $nombre, $correo, $mensaje);

if (!$formulario_contacto) {
    $response['response'] = 'error';
    $response['data'] = 'No se agregó el formulario de contacto';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $formulario_contacto;

echo json_encode($response);
